-------------------------------------------------------------------------------
-- system_stub.vhd
-------------------------------------------------------------------------------
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;

library UNISIM;
use UNISIM.VCOMPONENTS.ALL;

entity system_stub is
  port (
    fpga_0_CLKBRDCONFIG_0_cfg_radio_dat_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_radio_csb_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_radio_en_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_radio_clk_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_logic_dat_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_logic_csb_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_logic_en_out_pin : out std_logic;
    fpga_0_CLKBRDCONFIG_0_cfg_logic_clk_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_converter_clock_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_EEPROM_IO : inout std_logic;
    fpga_0_radio_bridge_slot_1_dac_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_dac_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_dac_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_24PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_5PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
    fpga_0_radio_bridge_slot_1_radio_dac_PLL_LOCK_pin : in std_logic;
    fpga_0_radio_bridge_slot_1_radio_dac_RESET_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
    fpga_0_radio_bridge_slot_1_radio_LD_pin : in std_logic;
    fpga_0_radio_bridge_slot_1_radio_LED_pin : out std_logic_vector(2 downto 0);
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_CLAMP_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_HIZ_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_OTR_pin : in std_logic;
    fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_SLEEP_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_DCS_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_DFS_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRA_pin : in std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRB_pin : in std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNA_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNB_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_RxHP_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_SHDN_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_TxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_1_radio_B_pin : out std_logic_vector(6 downto 0);
    fpga_0_radio_bridge_slot_1_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_1_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_1_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_1_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_2_converter_clock_out_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_EEPROM_IO : inout std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_dac_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_24PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_5PA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
    fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
    fpga_0_radio_bridge_slot_2_radio_LD_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_LED_pin : out std_logic_vector(2 downto 0);
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin : in std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_RxHP_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_SHDN_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_clk_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_cs_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_spi_data_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_TxEn_pin : out std_logic;
    fpga_0_radio_bridge_slot_2_radio_B_pin : out std_logic_vector(6 downto 0);
    fpga_0_radio_bridge_slot_2_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
    fpga_0_radio_bridge_slot_2_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
    fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
    fpga_0_LED_7SEGMENT_GPIO_d_out_pin : out std_logic_vector(0 to 6);
    fpga_0_LED_7SEGMENT_1_GPIO_d_out_pin : out std_logic_vector(0 to 6);
    fpga_0_LEDs_4Bit_GPIO_d_out_pin : out std_logic_vector(0 to 3);
    fpga_0_Push_Buttons_4bit_GPIO_in_pin : in std_logic_vector(0 to 3);
    fpga_0_RS232_RX_pin : in std_logic;
    fpga_0_RS232_TX_pin : out std_logic;
    fpga_0_EEPROM_0_DQ0_pin : inout std_logic;
    fpga_0_Ethernet_MAC_slew1_pin : out std_logic;
    fpga_0_Ethernet_MAC_slew2_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_rst_n_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_crs_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_col_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_tx_data_pin : out std_logic_vector(3 downto 0);
    fpga_0_Ethernet_MAC_PHY_tx_en_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_tx_clk_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_tx_er_pin : out std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_er_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_clk_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_dv_pin : in std_logic;
    fpga_0_Ethernet_MAC_PHY_rx_data_pin : in std_logic_vector(3 downto 0);
    fpga_0_Ethernet_MAC_PHY_Mii_clk_pin : inout std_logic;
    fpga_0_Ethernet_MAC_PHY_Mii_data_pin : inout std_logic;
    fpga_0_DIPSWs_4Bit_GPIO_IO_pin : in std_logic_vector(0 to 3);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
    fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
    fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin : out std_logic;
    fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
    fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
    fpga_0_SRAM0_CLOCK : out std_logic;
    fpga_0_SRAM1_CLOCK : out std_logic;
    fpga_0_analog_bridge_slot_3_analog_DAC1_A_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_3_analog_DAC1_B_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_3_analog_DAC2_A_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_3_analog_DAC2_B_pin : out std_logic_vector(13 downto 0);
    fpga_0_analog_bridge_slot_3_analog_clock_out_pin : out std_logic;
    fpga_0_analog_bridge_slot_3_analog_DAC1_SLEEP_pin : out std_logic;
    fpga_0_analog_bridge_slot_3_analog_DAC2_SLEEP_pin : out std_logic;
    sys_clk_pin : in std_logic;
    sys_rst_pin : in std_logic;
    debug : out std_logic_vector(0 to 9);
    debug_chipscopetrig_pin : in std_logic;
    debug_GPIO_d_out_pin : out std_logic_vector(0 to 3)
  );
end system_stub;

architecture STRUCTURE of system_stub is

  component system is
    port (
      fpga_0_CLKBRDCONFIG_0_cfg_radio_dat_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_radio_csb_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_radio_en_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_radio_clk_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_logic_dat_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_logic_csb_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_logic_en_out_pin : out std_logic;
      fpga_0_CLKBRDCONFIG_0_cfg_logic_clk_out_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_converter_clock_out_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_EEPROM_IO : inout std_logic;
      fpga_0_radio_bridge_slot_1_dac_spi_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_dac_spi_cs_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_dac_spi_data_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_24PA_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_5PA_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
      fpga_0_radio_bridge_slot_1_radio_dac_PLL_LOCK_pin : in std_logic;
      fpga_0_radio_bridge_slot_1_radio_dac_RESET_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
      fpga_0_radio_bridge_slot_1_radio_LD_pin : in std_logic;
      fpga_0_radio_bridge_slot_1_radio_LED_pin : out std_logic_vector(2 downto 0);
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_CLAMP_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_HIZ_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_OTR_pin : in std_logic;
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_SLEEP_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_DCS_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_DFS_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRA_pin : in std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRB_pin : in std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNA_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNB_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RxEn_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_RxHP_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_SHDN_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_spi_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_spi_cs_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_spi_data_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_TxEn_pin : out std_logic;
      fpga_0_radio_bridge_slot_1_radio_B_pin : out std_logic_vector(6 downto 0);
      fpga_0_radio_bridge_slot_1_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
      fpga_0_radio_bridge_slot_1_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
      fpga_0_radio_bridge_slot_1_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
      fpga_0_radio_bridge_slot_1_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
      fpga_0_radio_bridge_slot_2_converter_clock_out_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_EEPROM_IO : inout std_logic;
      fpga_0_radio_bridge_slot_2_dac_spi_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_dac_spi_cs_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_dac_spi_data_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_24PA_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_5PA_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_ANTSW_pin : out std_logic_vector(1 downto 0);
      fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin : in std_logic;
      fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_DIPSW_pin : in std_logic_vector(3 downto 0);
      fpga_0_radio_bridge_slot_2_radio_LD_pin : in std_logic;
      fpga_0_radio_bridge_slot_2_radio_LED_pin : out std_logic_vector(2 downto 0);
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin : in std_logic_vector(9 downto 0);
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin : in std_logic;
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin : in std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin : in std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RxEn_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_RxHP_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_SHDN_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_spi_clk_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_spi_cs_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_spi_data_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_TxEn_pin : out std_logic;
      fpga_0_radio_bridge_slot_2_radio_B_pin : out std_logic_vector(6 downto 0);
      fpga_0_radio_bridge_slot_2_radio_DAC_I_pin : out std_logic_vector(15 downto 0);
      fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin : out std_logic_vector(15 downto 0);
      fpga_0_radio_bridge_slot_2_radio_ADC_I_pin : in std_logic_vector(13 downto 0);
      fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin : in std_logic_vector(13 downto 0);
      fpga_0_LED_7SEGMENT_GPIO_d_out_pin : out std_logic_vector(0 to 6);
      fpga_0_LED_7SEGMENT_1_GPIO_d_out_pin : out std_logic_vector(0 to 6);
      fpga_0_LEDs_4Bit_GPIO_d_out_pin : out std_logic_vector(0 to 3);
      fpga_0_Push_Buttons_4bit_GPIO_in_pin : in std_logic_vector(0 to 3);
      fpga_0_RS232_RX_pin : in std_logic;
      fpga_0_RS232_TX_pin : out std_logic;
      fpga_0_EEPROM_0_DQ0_pin : inout std_logic;
      fpga_0_Ethernet_MAC_slew1_pin : out std_logic;
      fpga_0_Ethernet_MAC_slew2_pin : out std_logic;
      fpga_0_Ethernet_MAC_PHY_rst_n_pin : out std_logic;
      fpga_0_Ethernet_MAC_PHY_crs_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_col_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_tx_data_pin : out std_logic_vector(3 downto 0);
      fpga_0_Ethernet_MAC_PHY_tx_en_pin : out std_logic;
      fpga_0_Ethernet_MAC_PHY_tx_clk_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_tx_er_pin : out std_logic;
      fpga_0_Ethernet_MAC_PHY_rx_er_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_rx_clk_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_dv_pin : in std_logic;
      fpga_0_Ethernet_MAC_PHY_rx_data_pin : in std_logic_vector(3 downto 0);
      fpga_0_Ethernet_MAC_PHY_Mii_clk_pin : inout std_logic;
      fpga_0_Ethernet_MAC_PHY_Mii_data_pin : inout std_logic;
      fpga_0_DIPSWs_4Bit_GPIO_IO_pin : in std_logic_vector(0 to 3);
      fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
      fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
      fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
      fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin : out std_logic;
      fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
      fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
      fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
      fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
      fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin : out std_logic_vector(0 to 0);
      fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin : out std_logic;
      fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin : out std_logic;
      fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin : out std_logic_vector(0 to 3);
      fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin : out std_logic;
      fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin : out std_logic;
      fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin : out std_logic_vector(11 to 29);
      fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin : inout std_logic_vector(0 to 31);
      fpga_0_SRAM0_CLOCK : out std_logic;
      fpga_0_SRAM1_CLOCK : out std_logic;
      fpga_0_analog_bridge_slot_3_analog_DAC1_A_pin : out std_logic_vector(13 downto 0);
      fpga_0_analog_bridge_slot_3_analog_DAC1_B_pin : out std_logic_vector(13 downto 0);
      fpga_0_analog_bridge_slot_3_analog_DAC2_A_pin : out std_logic_vector(13 downto 0);
      fpga_0_analog_bridge_slot_3_analog_DAC2_B_pin : out std_logic_vector(13 downto 0);
      fpga_0_analog_bridge_slot_3_analog_clock_out_pin : out std_logic;
      fpga_0_analog_bridge_slot_3_analog_DAC1_SLEEP_pin : out std_logic;
      fpga_0_analog_bridge_slot_3_analog_DAC2_SLEEP_pin : out std_logic;
      sys_clk_pin : in std_logic;
      sys_rst_pin : in std_logic;
      debug : out std_logic_vector(0 to 9);
      debug_chipscopetrig_pin : in std_logic;
      debug_GPIO_d_out_pin : out std_logic_vector(0 to 3)
    );
  end component;

begin

  system_i : system
    port map (
      fpga_0_CLKBRDCONFIG_0_cfg_radio_dat_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_radio_dat_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_radio_csb_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_radio_csb_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_radio_en_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_radio_en_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_radio_clk_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_radio_clk_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_logic_dat_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_logic_dat_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_logic_csb_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_logic_csb_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_logic_en_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_logic_en_out_pin,
      fpga_0_CLKBRDCONFIG_0_cfg_logic_clk_out_pin => fpga_0_CLKBRDCONFIG_0_cfg_logic_clk_out_pin,
      fpga_0_radio_bridge_slot_1_converter_clock_out_pin => fpga_0_radio_bridge_slot_1_converter_clock_out_pin,
      fpga_0_radio_bridge_slot_1_radio_EEPROM_IO => fpga_0_radio_bridge_slot_1_radio_EEPROM_IO,
      fpga_0_radio_bridge_slot_1_dac_spi_clk_pin => fpga_0_radio_bridge_slot_1_dac_spi_clk_pin,
      fpga_0_radio_bridge_slot_1_dac_spi_cs_pin => fpga_0_radio_bridge_slot_1_dac_spi_cs_pin,
      fpga_0_radio_bridge_slot_1_dac_spi_data_pin => fpga_0_radio_bridge_slot_1_dac_spi_data_pin,
      fpga_0_radio_bridge_slot_1_radio_24PA_pin => fpga_0_radio_bridge_slot_1_radio_24PA_pin,
      fpga_0_radio_bridge_slot_1_radio_5PA_pin => fpga_0_radio_bridge_slot_1_radio_5PA_pin,
      fpga_0_radio_bridge_slot_1_radio_ANTSW_pin => fpga_0_radio_bridge_slot_1_radio_ANTSW_pin,
      fpga_0_radio_bridge_slot_1_radio_dac_PLL_LOCK_pin => fpga_0_radio_bridge_slot_1_radio_dac_PLL_LOCK_pin,
      fpga_0_radio_bridge_slot_1_radio_dac_RESET_pin => fpga_0_radio_bridge_slot_1_radio_dac_RESET_pin,
      fpga_0_radio_bridge_slot_1_radio_DIPSW_pin => fpga_0_radio_bridge_slot_1_radio_DIPSW_pin,
      fpga_0_radio_bridge_slot_1_radio_LD_pin => fpga_0_radio_bridge_slot_1_radio_LD_pin,
      fpga_0_radio_bridge_slot_1_radio_LED_pin => fpga_0_radio_bridge_slot_1_radio_LED_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_clk_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_clk_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_CLAMP_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_CLAMP_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_D_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_D_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_HIZ_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_HIZ_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_OTR_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_OTR_pin,
      fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_SLEEP_pin => fpga_0_radio_bridge_slot_1_radio_RSSI_ADC_SLEEP_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_DCS_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_DCS_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_DFS_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_DFS_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRA_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRA_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRB_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_OTRB_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNA_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNA_pin,
      fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNB_pin => fpga_0_radio_bridge_slot_1_radio_RX_ADC_PWDNB_pin,
      fpga_0_radio_bridge_slot_1_radio_RxEn_pin => fpga_0_radio_bridge_slot_1_radio_RxEn_pin,
      fpga_0_radio_bridge_slot_1_radio_RxHP_pin => fpga_0_radio_bridge_slot_1_radio_RxHP_pin,
      fpga_0_radio_bridge_slot_1_radio_SHDN_pin => fpga_0_radio_bridge_slot_1_radio_SHDN_pin,
      fpga_0_radio_bridge_slot_1_radio_spi_clk_pin => fpga_0_radio_bridge_slot_1_radio_spi_clk_pin,
      fpga_0_radio_bridge_slot_1_radio_spi_cs_pin => fpga_0_radio_bridge_slot_1_radio_spi_cs_pin,
      fpga_0_radio_bridge_slot_1_radio_spi_data_pin => fpga_0_radio_bridge_slot_1_radio_spi_data_pin,
      fpga_0_radio_bridge_slot_1_radio_TxEn_pin => fpga_0_radio_bridge_slot_1_radio_TxEn_pin,
      fpga_0_radio_bridge_slot_1_radio_B_pin => fpga_0_radio_bridge_slot_1_radio_B_pin,
      fpga_0_radio_bridge_slot_1_radio_DAC_I_pin => fpga_0_radio_bridge_slot_1_radio_DAC_I_pin,
      fpga_0_radio_bridge_slot_1_radio_DAC_Q_pin => fpga_0_radio_bridge_slot_1_radio_DAC_Q_pin,
      fpga_0_radio_bridge_slot_1_radio_ADC_I_pin => fpga_0_radio_bridge_slot_1_radio_ADC_I_pin,
      fpga_0_radio_bridge_slot_1_radio_ADC_Q_pin => fpga_0_radio_bridge_slot_1_radio_ADC_Q_pin,
      fpga_0_radio_bridge_slot_2_converter_clock_out_pin => fpga_0_radio_bridge_slot_2_converter_clock_out_pin,
      fpga_0_radio_bridge_slot_2_radio_EEPROM_IO => fpga_0_radio_bridge_slot_2_radio_EEPROM_IO,
      fpga_0_radio_bridge_slot_2_dac_spi_clk_pin => fpga_0_radio_bridge_slot_2_dac_spi_clk_pin,
      fpga_0_radio_bridge_slot_2_dac_spi_cs_pin => fpga_0_radio_bridge_slot_2_dac_spi_cs_pin,
      fpga_0_radio_bridge_slot_2_dac_spi_data_pin => fpga_0_radio_bridge_slot_2_dac_spi_data_pin,
      fpga_0_radio_bridge_slot_2_radio_24PA_pin => fpga_0_radio_bridge_slot_2_radio_24PA_pin,
      fpga_0_radio_bridge_slot_2_radio_5PA_pin => fpga_0_radio_bridge_slot_2_radio_5PA_pin,
      fpga_0_radio_bridge_slot_2_radio_ANTSW_pin => fpga_0_radio_bridge_slot_2_radio_ANTSW_pin,
      fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin => fpga_0_radio_bridge_slot_2_radio_dac_PLL_LOCK_pin,
      fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin => fpga_0_radio_bridge_slot_2_radio_dac_RESET_pin,
      fpga_0_radio_bridge_slot_2_radio_DIPSW_pin => fpga_0_radio_bridge_slot_2_radio_DIPSW_pin,
      fpga_0_radio_bridge_slot_2_radio_LD_pin => fpga_0_radio_bridge_slot_2_radio_LD_pin,
      fpga_0_radio_bridge_slot_2_radio_LED_pin => fpga_0_radio_bridge_slot_2_radio_LED_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_clk_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_CLAMP_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_D_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_HIZ_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_OTR_pin,
      fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin => fpga_0_radio_bridge_slot_2_radio_RSSI_ADC_SLEEP_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_DCS_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_DFS_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRA_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_OTRB_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNA_pin,
      fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin => fpga_0_radio_bridge_slot_2_radio_RX_ADC_PWDNB_pin,
      fpga_0_radio_bridge_slot_2_radio_RxEn_pin => fpga_0_radio_bridge_slot_2_radio_RxEn_pin,
      fpga_0_radio_bridge_slot_2_radio_RxHP_pin => fpga_0_radio_bridge_slot_2_radio_RxHP_pin,
      fpga_0_radio_bridge_slot_2_radio_SHDN_pin => fpga_0_radio_bridge_slot_2_radio_SHDN_pin,
      fpga_0_radio_bridge_slot_2_radio_spi_clk_pin => fpga_0_radio_bridge_slot_2_radio_spi_clk_pin,
      fpga_0_radio_bridge_slot_2_radio_spi_cs_pin => fpga_0_radio_bridge_slot_2_radio_spi_cs_pin,
      fpga_0_radio_bridge_slot_2_radio_spi_data_pin => fpga_0_radio_bridge_slot_2_radio_spi_data_pin,
      fpga_0_radio_bridge_slot_2_radio_TxEn_pin => fpga_0_radio_bridge_slot_2_radio_TxEn_pin,
      fpga_0_radio_bridge_slot_2_radio_B_pin => fpga_0_radio_bridge_slot_2_radio_B_pin,
      fpga_0_radio_bridge_slot_2_radio_DAC_I_pin => fpga_0_radio_bridge_slot_2_radio_DAC_I_pin,
      fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin => fpga_0_radio_bridge_slot_2_radio_DAC_Q_pin,
      fpga_0_radio_bridge_slot_2_radio_ADC_I_pin => fpga_0_radio_bridge_slot_2_radio_ADC_I_pin,
      fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin => fpga_0_radio_bridge_slot_2_radio_ADC_Q_pin,
      fpga_0_LED_7SEGMENT_GPIO_d_out_pin => fpga_0_LED_7SEGMENT_GPIO_d_out_pin,
      fpga_0_LED_7SEGMENT_1_GPIO_d_out_pin => fpga_0_LED_7SEGMENT_1_GPIO_d_out_pin,
      fpga_0_LEDs_4Bit_GPIO_d_out_pin => fpga_0_LEDs_4Bit_GPIO_d_out_pin,
      fpga_0_Push_Buttons_4bit_GPIO_in_pin => fpga_0_Push_Buttons_4bit_GPIO_in_pin,
      fpga_0_RS232_RX_pin => fpga_0_RS232_RX_pin,
      fpga_0_RS232_TX_pin => fpga_0_RS232_TX_pin,
      fpga_0_EEPROM_0_DQ0_pin => fpga_0_EEPROM_0_DQ0_pin,
      fpga_0_Ethernet_MAC_slew1_pin => fpga_0_Ethernet_MAC_slew1_pin,
      fpga_0_Ethernet_MAC_slew2_pin => fpga_0_Ethernet_MAC_slew2_pin,
      fpga_0_Ethernet_MAC_PHY_rst_n_pin => fpga_0_Ethernet_MAC_PHY_rst_n_pin,
      fpga_0_Ethernet_MAC_PHY_crs_pin => fpga_0_Ethernet_MAC_PHY_crs_pin,
      fpga_0_Ethernet_MAC_PHY_col_pin => fpga_0_Ethernet_MAC_PHY_col_pin,
      fpga_0_Ethernet_MAC_PHY_tx_data_pin => fpga_0_Ethernet_MAC_PHY_tx_data_pin,
      fpga_0_Ethernet_MAC_PHY_tx_en_pin => fpga_0_Ethernet_MAC_PHY_tx_en_pin,
      fpga_0_Ethernet_MAC_PHY_tx_clk_pin => fpga_0_Ethernet_MAC_PHY_tx_clk_pin,
      fpga_0_Ethernet_MAC_PHY_tx_er_pin => fpga_0_Ethernet_MAC_PHY_tx_er_pin,
      fpga_0_Ethernet_MAC_PHY_rx_er_pin => fpga_0_Ethernet_MAC_PHY_rx_er_pin,
      fpga_0_Ethernet_MAC_PHY_rx_clk_pin => fpga_0_Ethernet_MAC_PHY_rx_clk_pin,
      fpga_0_Ethernet_MAC_PHY_dv_pin => fpga_0_Ethernet_MAC_PHY_dv_pin,
      fpga_0_Ethernet_MAC_PHY_rx_data_pin => fpga_0_Ethernet_MAC_PHY_rx_data_pin,
      fpga_0_Ethernet_MAC_PHY_Mii_clk_pin => fpga_0_Ethernet_MAC_PHY_Mii_clk_pin,
      fpga_0_Ethernet_MAC_PHY_Mii_data_pin => fpga_0_Ethernet_MAC_PHY_Mii_data_pin,
      fpga_0_DIPSWs_4Bit_GPIO_IO_pin => fpga_0_DIPSWs_4Bit_GPIO_IO_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_OEN_pin(0 to 0),
      fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_ADV_LDN_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_CKEN_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_CE_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_BEN_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_WEN_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_A_pin,
      fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin => fpga_0_SRAM0_ZBT_512Kx32_Mem_DQ_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_OEN_pin(0 to 0),
      fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_ADV_LDN_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_CKEN_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_BEN_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_WEN_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_CE_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_A_pin,
      fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin => fpga_0_SRAM1_ZBT_512Kx32_Mem_DQ_pin,
      fpga_0_SRAM0_CLOCK => fpga_0_SRAM0_CLOCK,
      fpga_0_SRAM1_CLOCK => fpga_0_SRAM1_CLOCK,
      fpga_0_analog_bridge_slot_3_analog_DAC1_A_pin => fpga_0_analog_bridge_slot_3_analog_DAC1_A_pin,
      fpga_0_analog_bridge_slot_3_analog_DAC1_B_pin => fpga_0_analog_bridge_slot_3_analog_DAC1_B_pin,
      fpga_0_analog_bridge_slot_3_analog_DAC2_A_pin => fpga_0_analog_bridge_slot_3_analog_DAC2_A_pin,
      fpga_0_analog_bridge_slot_3_analog_DAC2_B_pin => fpga_0_analog_bridge_slot_3_analog_DAC2_B_pin,
      fpga_0_analog_bridge_slot_3_analog_clock_out_pin => fpga_0_analog_bridge_slot_3_analog_clock_out_pin,
      fpga_0_analog_bridge_slot_3_analog_DAC1_SLEEP_pin => fpga_0_analog_bridge_slot_3_analog_DAC1_SLEEP_pin,
      fpga_0_analog_bridge_slot_3_analog_DAC2_SLEEP_pin => fpga_0_analog_bridge_slot_3_analog_DAC2_SLEEP_pin,
      sys_clk_pin => sys_clk_pin,
      sys_rst_pin => sys_rst_pin,
      debug => debug,
      debug_chipscopetrig_pin => debug_chipscopetrig_pin,
      debug_GPIO_d_out_pin => debug_GPIO_d_out_pin
    );

end architecture STRUCTURE;

