//-----------------------------------------------------------------------------
// clkbrdconfig_0_wrapper.v
//-----------------------------------------------------------------------------

module clkbrdconfig_0_wrapper
  (
    sys_clk,
    sys_rst,
    cfg_radio_dat_out,
    cfg_radio_csb_out,
    cfg_radio_en_out,
    cfg_radio_clk_out,
    cfg_logic_dat_out,
    cfg_logic_csb_out,
    cfg_logic_en_out,
    cfg_logic_clk_out
  );
  input sys_clk;
  input sys_rst;
  output cfg_radio_dat_out;
  output cfg_radio_csb_out;
  output cfg_radio_en_out;
  output cfg_radio_clk_out;
  output cfg_logic_dat_out;
  output cfg_logic_csb_out;
  output cfg_logic_en_out;
  output cfg_logic_clk_out;

  defparam clkbrdconfig_0.sys_clk_freq_hz = 'h05f5e100;
  defparam clkbrdconfig_0.scp_min_freq_hz = 'h002625a0;
  defparam clkbrdconfig_0.scp_cyc_leng_a = 'h00000028;
  defparam clkbrdconfig_0.scp_cyc_leng_b = 'h00000028;
  defparam clkbrdconfig_0.scp_cyc_leng = 'h00000028;
  clock_board_config
    clkbrdconfig_0 (
      .sys_clk ( sys_clk ),
      .sys_rst ( sys_rst ),
      .cfg_radio_dat_out ( cfg_radio_dat_out ),
      .cfg_radio_csb_out ( cfg_radio_csb_out ),
      .cfg_radio_en_out ( cfg_radio_en_out ),
      .cfg_radio_clk_out ( cfg_radio_clk_out ),
      .cfg_logic_dat_out ( cfg_logic_dat_out ),
      .cfg_logic_csb_out ( cfg_logic_csb_out ),
      .cfg_logic_en_out ( cfg_logic_en_out ),
      .cfg_logic_clk_out ( cfg_logic_clk_out )
    );

endmodule

// synthesis attribute x_core_info of clkbrdconfig_0_wrapper is clock_board_config_v1_01_a;

